libxml++ 2.38.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::parse_error Class Reference

This exception will be thrown when the parser encounters an error in the XML document. More...

`#include <libxml++/exceptions/parse_error.h>`

Inheritance diagram for xmlpp::parse_error:
[legend]

## Public Member Functions
| parse_error (const Glib::ustring& message)
virtual | ~parse_error () throw ()
virtual exception* | Clone () const
virtual void | Raise () const
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
virtual | ~exception () throw ()
virtual const char* | what () const throw ()

## Detailed Description

This exception will be thrown when the parser encounters an error in the XML document.

## Constructor & Destructor Documentation

xmlpp::parse_error::parse_error | ( | const Glib::ustring & | message | ) |
| explicit

virtual xmlpp::parse_error::~parse_error | ( |  | ) |
throw | ( |
| ) |  |
| virtual

## Member Function Documentation

virtual exception* xmlpp::parse_error::Clone | ( |  | ) | const
| virtual

Reimplemented from xmlpp::exception.

Reimplemented in xmlpp::validity_error.

virtual void xmlpp::parse_error::Raise | ( |  | ) | const
| virtual

Reimplemented from xmlpp::exception.

Reimplemented in xmlpp::validity_error.